Package de.willuhn.jameica.hbci.rmi

# Interface HibiscusAddress

All Superinterfaces:
  `Address`, `de.willuhn.datasource.rmi.Changeable`, `de.willuhn.datasource.rmi.DBObject`, `de.willuhn.datasource.GenericObject`, `HibiscusDBObject`, `Remote`, `de.willuhn.datasource.rmi.Transactionable`

All Known Implementing Classes:
  `HibiscusAddressImpl`

public interface HibiscusAddress extends Address, HibiscusDBObject
Bildet einen Empfaenger ab.

## Method Summary

Modifier and Type
Method
Description
`String`
`getBank()`
Liefert den Namen der Bank.
`void`
`setBank(String name)`
Speichert den Namen der Bank.
`void`
`setBic(String bic)`
Speichert die BIC.
`void`
`setBlz(String blz)`
Speichert die BLZ des Empfaengers.
`void`
`setIban(String iban)`
Speichert die IBAN.
`void`
`setKategorie(String kategorie)`
Speichert die Kategorie.
`void`
`setKommentar(String kommentar)`
Speichert einen zusaetzlichen Kommentar fuer den Adressbuch-Eintrag.
`void`
`setKontonummer(String kontonummer)`
Speichert die Kontonummer des Empfaengers.
`void`
`setName(String name)`
Speichert den Namen des Empfaengers.

### Methods inherited from interface de.willuhn.jameica.hbci.rmi.Address

`getBic, getBlz, getIban, getKategorie, getKommentar, getKontonummer, getName`

### Methods inherited from interface de.willuhn.datasource.rmi.Changeable

`clear, delete, isNewObject, overwrite, store`

### Methods inherited from interface de.willuhn.datasource.rmi.DBObject

`addDeleteListener, addStoreListener, equals, getAttribute, getAttributeType, getList, getPrimaryAttribute, load, removeDeleteListener, removeStoreListener`

### Methods inherited from interface de.willuhn.datasource.GenericObject

`getAttributeNames, getID`

### Methods inherited from interface de.willuhn.jameica.hbci.rmi.HibiscusDBObject

`getMeta, setMeta`

### Methods inherited from interface de.willuhn.datasource.rmi.Transactionable

`transactionBegin, transactionCommit, transactionRollback`

## Method Details

### setKontonummer

void setKontonummer(String kontonummer) throws RemoteException
Speichert die Kontonummer des Empfaengers.

Parameters:
  `kontonummer` - Kontonummer.
Throws:
  `RemoteException`

### setBlz

void setBlz(String blz) throws RemoteException
Speichert die BLZ des Empfaengers.

Parameters:
  `blz` - BLZ.
Throws:
  `RemoteException` - BUGZILLA 534

### setName

void setName(String name) throws RemoteException
Speichert den Namen des Empfaengers.

Parameters:
  `name` - Name.
Throws:
  `RemoteException`

### setKommentar

void setKommentar(String kommentar) throws RemoteException
Speichert einen zusaetzlichen Kommentar fuer den Adressbuch-Eintrag.

Parameters:
  `kommentar` -
Throws:
  `RemoteException`

### getBank

String getBank() throws RemoteException
Liefert den Namen der Bank. Ist nur fuer auslaendische Banken sinnvoll, da HBCI4Java fuer deutsche Banken eine Mapping-Tabelle BLZ->Bankname mitbringt.

Returns:
  Name der Bank.
Throws:
  `RemoteException`

### setBank

void setBank(String name) throws RemoteException
Speichert den Namen der Bank. Ist nur fuer auslaendische Banken sinnvoll, da HBCI4Java fuer deutsche Banken eine Mapping-Tabelle BLZ->Bankname mitbringt.

Parameters:
  `name` - Name der Bank.
Throws:
  `RemoteException`

### setBic

void setBic(String bic) throws RemoteException
Speichert die BIC.

Parameters:
  `bic` - die BIC.
Throws:
  `RemoteException`

### setIban

void setIban(String iban) throws RemoteException
Speichert die IBAN.

Parameters:
  `iban` - die IBAN.
Throws:
  `RemoteException`

### setKategorie

void setKategorie(String kategorie) throws RemoteException
Speichert die Kategorie.

Parameters:
  `kategorie` - die Kategorie.
Throws:
  `RemoteException`